TF_CryptoSchemeOptions< T1, T2, T3 > Struct Template Reference

Trapdoor Function (TF) scheme options. More...

`#include <pubkey.h>`

Inheritance diagram for TF_CryptoSchemeOptions< T1, T2, T3 >:

## Public Types

typedef T1 | AlgorithmInfo
typedef T2 | Keys
typedef Keys::PrivateKey | PrivateKey
typedef Keys::PublicKey | PublicKey
typedef T3 | MessageEncodingMethod

## Detailed Description

template<class T1, class T2, class T3>
struct TF_CryptoSchemeOptions< T1, T2, T3 >

Trapdoor Function (TF) scheme options.

Template Parameters

  T1 | algorithm info class
  T2 | keys class with public and private key
  T3 | message encoding class

Definition at line 538 of file pubkey.h.

## Member Typedef Documentation

## AlgorithmInfo

template<class T1, class T2, class T3>

typedef T1 TF_CryptoSchemeOptions< T1, T2, T3 >::AlgorithmInfo

Definition at line 540 of file pubkey.h.

## Keys

template<class T1, class T2, class T3>

typedef T2 TF_CryptoSchemeOptions< T1, T2, T3 >::Keys

Definition at line 541 of file pubkey.h.

## PrivateKey

template<class T1, class T2, class T3>

typedef Keys::PrivateKey TF_CryptoSchemeOptions< T1, T2, T3 >::PrivateKey

Definition at line 542 of file pubkey.h.

## PublicKey

template<class T1, class T2, class T3>

typedef Keys::PublicKey TF_CryptoSchemeOptions< T1, T2, T3 >::PublicKey

Definition at line 543 of file pubkey.h.

## MessageEncodingMethod

template<class T1, class T2, class T3>

typedef T3 TF_CryptoSchemeOptions< T1, T2, T3 >::MessageEncodingMethod

Definition at line 544 of file pubkey.h.

The documentation for this struct was generated from the following file:

- pubkey.h